Subject: Re: AD review for draft-ietf-rtgwg-multihomed-prefix-lfa-06

From: Pushpasis Sarkar <[email-masked]>
Date: Mon, 1 Oct 2018 20:49:30 +0530

Hi Martin,

Thanks for pushing this ahead.

Best regards
-Pushpasis

On Tue, Sep 25, 2018 at 1:43 PM Martin Vigoureux <[email-masked]>
wrote:

> All,
>
> thanks for the update, I'm pushing this forward.
> Note that the quote for 8124 is not exactly that one but this can be
> handled at a later stage.
>
> -m
>
> Le 2018-09-19 à 10:50, Shraddha Hegde a écrit :
> > Martin,
> >
> > I have fixed the typos and also added more description to clarify a few
> items.
> >
> > Pls see details
> >
> > Section 4.2 (and subsections) is (are) a bit difficult to
> > read/understand because of the typos but also because of the way it's
> > written.
> >
> > Section 4.2.1.
> > Do you mean ECMP FRR rather than simply ECMP (as section 4.2.3. seems to
> > suggest)?
> > If so, please take this into account while addressing typos listed below.
> > [Pushpasis] 4.2.1 is for ECMP. ECMPs do not count as alternates. These
> rules cover all scenarios but related to alternates only.
> > But, I will let Shraddha confirm that..
> > <shraddha> Fixed the text to read "ECMP FRR"
> >
> > Sections 4.2.2., 4.2.3., and 4.2.5, seem to be linked to 4.2.1..
> > Wouldn't it be better to switch 4.2.4. and 4.2.5.? Alternatively can't
> > these three sections in fact be subsections of 4.2.1 ?
> > [Pushpasis] Shraddha can you take look and let us know if that is okay.
> > <shraddha> Thanks for the suggestion. Chaged the paraphasing sections to
> subsections of 4.2.1
> >
> > Although Sections 4.2.2., 4.2.3., and 4.2.5 seem to paraphrase 4.2.1., I
> > read one sentence which does not appear in the pseudo algorithm:
> >      If there are two ASBRs with different type2 cost, the higher cost
> >      ASBR is pruned.
> > So I am not sure to understand when this condition/action comes into
> > play. Could you clarify?
> > [Pushpasis] Again will let Shraddha comment on it.
> > <Shraddha> Added more description to "type 1 type 2 cost" section.
> > Pls check if it looks better.
> >
> > Section 4.2.4
> > It is not clear which inequalities will apply in that case.
> > <Shraddha> Added statement to clarify the inequalities to be used.
> >
> > In the same way as above, Section 4.2.5 seems to say a more than Step 5
> > of the pseudo algorithm. Could you clarify when the extra conditions it
> > describes come into play? Or said differently, shouldn't step 5 be
> > reworked to be more complete? If you do so, please rework that step
> > incorporating the types of changes/rephrasing I have suggested for the
> > other steps (see typos below).
> > <Shraddha> Updated step 5. pls check.
> >
> >
> >      1a. if primary ASBR and alternate ASBR are intra area
> >          non-backbone path go to step 2.
> > do you mean "belong to" rather than "are"?
> > <shraddha>if primary ASBR and alternate ASBR are intra area
> >                    and belong to non-backbone go to step 2.
> >
> >     2. If cost type (type1/type2) advertised by alternate
> >        ASBR same as primary
> > Do you mean:
> >     2. Compare cost types (type1/type2) advertised by alternate ASBR and
> >        by the primary ASBR
> > [Pushpasis] Shraddha, please take  a look.
> > <shraddha> Fixed
> >
> >
> >     3. If cost type is type1
> >               3a. If cost is same, program ECMP and return.
> >               3b. else go to step 5.
> > Do you mean:
> >     3. If cost types are type1, compare costs advertised by alternate
> ASBR
> >        and by the primary ASBR
> >               3a. If costs are the same then program ECMP and return.
> >               3b. else go to step 5.
> > [Pushpasis] Shraddha, please take  a look.
> > <Shraddha> Fixed
> >
> >
> >     4  If cost type is type 2
> >               4a. If cost is different, skip alternate ASBR and
> >                       consider next ASBR.
> >               4b. If type2 cost is same, proceed to step 4c to compare
> >                       compare type 1 cost.
> >               4c. If type1 cost is also same program ECMP and return.
> >               4d. If type 1 cost is different go to step 5.
> > Do you mean:
> >     4  If cost types are type2, compare costs advertised by alternate
> ASBR
> >        and by the primary ASBR
> >               4a. If costs are different, skip alternate ASBR and
> >                       consider next ASBR.
> >               4b. If cost are the same, proceed to step 4c to compare
> >                       compare type1 costs.
> >               4c. If type1 costs are also same program ECMP and return.
> >               4d. If type1 costs are different go to step 5.
> > [Pushpasis] Shraddha, please take  a look.
> > <shraddha> Fixed
> >
> >      While selecting alternate ASBR for loop evaluation for LFA, these
> >      rules should be applied and ensured that the alternate neighbor does
> >      not loop the traffic back.
> > I'm not sure about the meaning of the latter part of that sentence ("and
> > ensured ...")
> > [Pushpasis] Shraddha, please take  a look. I think it means.. "... these
> rules should be applied and to ensure that the alternate neighbor does not
> loop ..."
> > <shraddha> fixed the text
> >
> >
> >
> >
> > I have posted -07 version.Pls take a look and let me know if you have
> further comments.
> >
> > Rgds
> > Shraddha
> >
> > -----Original Message-----
> > From: Shraddha Hegde <[email-masked]>
> > Sent: Thursday, September 13, 2018 11:02 PM
> > To: Pushpasis Sarkar <[email-masked]>; Vigoureux, Martin
> (Nokia - FR) <[email-masked]>
> > Cc: [email-masked]; rtgwg-chairs <
> [email-masked]>; Stewart Bryant <[email-masked]>; RTGWG <
> [email-masked]>
> > Subject: RE: AD review for draft-ietf-rtgwg-multihomed-prefix-lfa-06
> >
> > Martin,
> >
> > Apologise missing the e-mail from Pushpasis.
> > I'll look at the comments and update the draft in a day or two.
> >
> > Rgds
> > Shraddha
> >
> > -----Original Message-----
> > From: Pushpasis Sarkar <[email-masked]>
> > Sent: Thursday, September 13, 2018 8:25 PM
> > To: Vigoureux, Martin (Nokia - FR) <[email-masked]>
> > Cc: [email-masked]; rtgwg-chairs <
> [email-masked]>; Stewart Bryant <[email-masked]>; RTGWG <
> [email-masked]>
> > Subject: Re: AD review for draft-ietf-rtgwg-multihomed-prefix-lfa-06
> >
> > Hi Martin,
> >
> > I am extremely sorry. I forgot to follow up with co-authors on this.
> Buried with day job. I will try to close it with co-authors at the earliest
> possible.
> >
> > Best regards,
> > -Pushpasis
> >
> > On Wed, Sep 12, 2018 at 9:33 PM Martin Vigoureux <
> [email-masked]>
> > wrote:
> >
> >> Authors,
> >>
> >> am I right in thinking that the ball is still in your camp and you
> >> need Shraddha to look at some of the comments?
> >> The draft has been in Revised I-D Needed for 5 months now.
> >>
> >> -m
> >>
> >> Le 2018-06-19 à 11:00, Pushpasis Sarkar a écrit :
> >>> Hi Martin,
> >>>
> >>> Once again sorry for the delay. Please find answers to some of your
> >>> points inline.
> >>>
> >>> Hi Shraddha,
> >>>
> >>> Please find attached the XML draft for the next revision with
> >>> changes taken care by Uma and myself. Please add your changes and
> >>> reply back on the comments on OSPF sections that I have requested
> >>> you to take look at
>